Собираем php 5.2.17 на Debian Lenny/Squeeze

PHP
Для пользователей Debian уже давно не секрет, что версия php 5.2, канула в лето с выходом Squeeze и отправлением репозиториев Lenny в архивы.
Но все-же, довольно таки часто сталкивался с вопросом, а как поставить именно 5.2 на сервер. (Видимо боязнь всего нового и привычки к старому, и родному)
А сегодня я расскажу как достать php 5.2.17 для Debian, так как такой сборки не было в репозиториях у них, была только 5.2.6.

Приступим:
1. Проверяем версию PHP и какие пакеты у нас стоят
dpkg -l |grep php

Все, что выдаст данный список, нужно будет удалить, ибо зависимость пакетов не позволит нам откатиться.

2. Удаляем все пакеты php5 и их зависимости
apt-get -V autoremove php5
если не все пакету удалились, то
aptitude remove ~iphp


3. Добавляем репозитории Debian Lenny, чтобы достать нужные нам пакеты и обновляем списки
nano /etc/apt/sources.list
deb http://archive.debian.org/debian lenny main contrib non-free
apt-get update


Далее идут действия для архитектуры amd64
4. Устанавливаем пакеты которые нам нужны для работы PHP 5.2
apt-get -V install libkrb53 libltdl3 libmysqlclient16 libmysqlclient15off libcurl3 libmagickcore3 libmagickwand3 libmagick10 libltdl7 libmcrypt4 libssl0.9.8 libx11-6 libxpm4 libt1-5 mime-support libpng12-0 libjpeg62 libgd2-xpm libfreetype6 automake automake1.4 libssl-dev autoconf tzdata libtool shtool gnupg ucf libmagic1 libxml2 zlib1g libonig2 libqdbm14 libbz2-1.0 libc6 libcomerr2 libdb4.8 libgssapi-krb5-2 libk5crypto3 libkrb5-3 libpcre3 libdb4.6


5. Качаем php от dotdeb.org и распаковываем (если у вас i386, то замените amd64 на i386)
wget -r --no-parent http://archives.dotdeb.org/dists/lenny/php5/5.2.17/binary-amd64/
wget -r --no-parent http://archives.dotdeb.org/dists/lenny/php5-pecl/5.2.17/binary-amd64/

mkdir php
mv archives.dotdeb.org/dists/lenny/php5/5.2.17/binary-amd64/* php/
mv archives.dotdeb.org/dists/lenny/php5-pecl/5.2.17/binary-amd64/* php/


6. Собираем нужные нам пакеты (также для 32-ух битной системы, нужно прописывать вместо amd64 — i386)
dpkg -i php5-common_5.2.17-0.dotdeb.0_amd64.deb && dpkg -i libapache2-mod-php5_5.2.17-0.dotdeb.0_amd64.deb && dpkg -i php5-cli_5.2.17-0.dotdeb.0_amd64.deb && dpkg -i php5_5.2.17-0.dotdeb.0_all.deb && dpkg -i php5-cgi_5.2.17-0.dotdeb.0_amd64.deb && dpkg -i php-pear_5.2.17-0.dotdeb.0_all.deb && dpkg -i php5-curl_5.2.17-0.dotdeb.0_amd64.deb && dpkg -i php5-dev_5.2.17-0.dotdeb.0_amd64.deb && dpkg -i php5-gd_5.2.17-0.dotdeb.0_amd64.deb && dpkg -i php5-mcrypt_5.2.17-0.dotdeb.0_amd64.deb && dpkg -i php5-mysql_5.2.17-0.dotdeb.0_amd64.deb && dpkg -i php5-suhosin_5.2.17-0.dotdeb.0_amd64.deb


Вот и все, теперь мы готовы к бою со старым добрым другом php 5.2, но уже пропатченным до .17
Tags:
php 5.2.17, PHP 5.2, установка php, debian squeeze

You can't comment this post because its author is not yet a full member of the community. You will be able to contact the author only after he or she has been invited by someone in the community. Until then, author's username will be hidden by an alias.